Name:           yelp
Epoch:          2
Version:        3.38.3
Release:        1
Summary:        Help browser for the GNOME desktop
License:        LGPLv2+ and ASL 2.0 and GPLv2+
URL:            https://wiki.gnome.org/Apps/Yelp
Source:         https://download.gnome.org/sources/%{name}/3.38/%{name}-%{version}.tar.xz

# https://bugzilla.gnome.org/show_bug.cgi?id=687960
Patch1:         0001-Center-new-windows.patch

BuildRequires:  gcc gtk3-devel xz-devel libxml2-devel libxslt-devel
BuildRequires:  sqlite-devel webkit2gtk3-devel yelp-xsl-devel
BuildRequires:  desktop-file-utils bzip2-devel gettext-devel intltool itstool
Requires:       yelp-xsl
Provides:       %{name}-libs = %{epoch}:%{version}-%{release}
Obsoletes:      %{name}-libs < %{epoch}:%{version}-%{release}

%description
Yelp is the help viewer in GNOME. It natively views Mallard, DocBook, man, info, and HTML documents.
It can locate documents according to the freedesktop.org help system specification.

Yelp development has led to the development of various tools, and the Mallard and DocBook transformations live in standalone XSLT module.
All of these are under the umbrella name Yelp.



%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{epoch}:%{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for %{name}.

%package_help

%prep
%autosetup -n %{name}-%{version} -p1

%build
%configure

sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0 /g' \
       -e 's/    if test "$export_dynamic" = yes && test -n "$export_dynamic_flag_spec"; then/      func_append compile_command " -Wl,-O1,--as-needed"\n      func_append finalize_command " -Wl,-O1,--as-needed"\n\0/' libtool


%make_build V=1

%install
%make_install
%delete_la

%check
desktop-file-validate $RPM_BUILD_ROOT%{_datadir}/applications/yelp.desktop

%ldconfig_scriptlets

%files
%defattr(-,root,root)
%doc AUTHORS
%license COPYING
%{_bindir}/*
%{_libdir}/libyelp.so.*
%{_libdir}/yelp/web-extensions/libyelpwebextension.so
%{_datadir}/yelp/
%{_datadir}/locale/*
%{_datadir}/metainfo/yelp.appdata.xml
%{_datadir}/applications/yelp.desktop
%{_datadir}/yelp-xsl/xslt/common/domains/yelp.xml
%{_datadir}/glib-2.0/schemas/org.gnome.yelp.gschema.xml
%{_datadir}/icons/hicolor/scalable/apps/org.gnome.Yelp.svg
%{_datadir}/icons/hicolor/symbolic/apps/org.gnome.Yelp-symbolic.svg

%files devel
%defattr(-,root,root)
%{_libdir}/libyelp.so
%{_libdir}/libyelp.a
%{_libdir}/yelp/web-extensions/libyelpwebextension.a
%{_includedir}/libyelp

%files help
%defattr(-,root,root)
%doc NEWS README
%{_datadir}/gtk-doc

%changelog
* Tue Jun 22 2021 weijin deng <weijin.deng@turbolinux.com.cn> - 2:3.38.3-1
- Upgrade to 2:3.38.3

* Fri Jan 29 2021 jinzhimin <jinzhimin2@huawei.com> 2:3.38.2-1
- Upgrade to 2:3.38.2

* Tue Sep 1 2020 yeah_wang <wangye70@huawei.com> 3.36.0-2
- fix source URL

* Mon Jul 20 2020 chengguipeng<chengguipeng1@huawei.com> 3.36.0-1
- Upgrade to 3.36.0-1

* Mon May 18 2020 wangchen <wangchen137@huawei.com> - 3.34.0-2
- rebuild for yelp

* Fri Oct 11 2019 openEuler Buildteam <buildteam@openeuler.org> - 3.34.0-1
- Package init
